Tryton - Issues

 

Issue9458

Title Do not go to next party unless all lines are reconciled
Priority feature Status resolved
Superseder Nosy List pokoli, reviewbot, roundup-bot
Type feature request Components account
Assigned To pokoli Keywords review
Reviews 317841002
View: 317841002

Created on 2020-07-04.19:47:33 by pokoli, last changed by roundup-bot.

Messages
New changeset f9370702ca0f by Sergi Almacellas Abellana in branch 'default':
Test for lines to reconcile before showing the next account
https://hg.tryton.org/tryton-env/rev/f9370702ca0f
New changeset 13e408280657 by Sergi Almacellas Abellana in branch 'default':
Test for lines to reconcile before showing the next account
https://hg.tryton.org/modules/account/rev/13e408280657
review317841002 updated at https://codereview.tryton.org/317841002/#ps310081002
review317841002 updated at https://codereview.tryton.org/317841002/#ps295901002
review317841002 updated at https://codereview.tryton.org/317841002/#ps290561002
review317841002 updated at https://codereview.tryton.org/317841002/#ps298091002
msg58965 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2020-07-04.19:47:33
When using the reconcile wizard, once a reconciliation is created for a party the wizard shows then next one. This is right when it is possible to create a single reconciliation for all the lines of the party but it may be the case that the user want's to create more than one reconciliation (one full and another with writeoff, or one per payment) for the same party. 

In order to ease this behaviour I propose to not show the next party lines unless all the lines of the party have been reconciled. This behaviour also remains the user that there are still pending lines for the party despite it's reconciliation and does not require to re-run the wizard multiple time to ensure that everything is reconciled.
History
Date User Action Args
2020-07-27 16:14:54roundup-botsetmessages: + msg59505
2020-07-27 16:14:51roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg59504
2020-07-21 18:43:21reviewbotsetmessages: + msg59423
2020-07-18 00:39:06reviewbotsetmessages: + msg59366
2020-07-09 22:16:34reviewbotsetmessages: + msg59246
2020-07-04 20:03:36reviewbotsetnosy: + reviewbot
messages: + msg58970
2020-07-04 19:50:10pokolisetstatus: in-progress -> testing
reviews: 317841002
keyword: + review
2020-07-04 19:48:05pokolisettitle: Do not go to next party unless all lines are creconciles -> Do not go to next party unless all lines are reconciled
2020-07-04 19:47:33pokolicreate

Showing 10 items. Show all history (warning: this could be VERY long)